org.gradle.api.artifacts.component

## Interface ComponentArtifactIdentifier

-     @Incubating
      public interface ComponentArtifactIdentifier

  An immutable identifier for an artifact that belongs to some component instance.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentIdentifier` | `getComponentIdentifier()` Returns the id of the component that this artifact belongs to.
    `String` | `getDisplayName()` Returns some human-consumable display name for this artifact.

- - ### Method Detail

    - #### getComponentIdentifier

          ComponentIdentifier getComponentIdentifier()

      Returns the id of the component that this artifact belongs to.

    - #### getDisplayName

          String getDisplayName()

      Returns some human-consumable display name for this artifact.